Add point to CPlane

The coordinate in below code is in world plane. but I want to add points to Current CPlane
Can the coordinates be represented on the current construction plane?

public PolyCurve FlatBar(Point3d insert_point)
        {
            double A = 150;
            double ta = 12;

            PolyCurve plc = new PolyCurve();

            Point3d sp = insert_point;
            Point3d ep = insert_point;

            ep.X = ep.X + ta;
            plc.Append(new Line(sp, ep));

            sp = ep;
            ep.Y = ep.Y + A;
            plc.Append(new Line(sp, ep));

            sp = ep;
            ep.X = ep.X - ta;
            plc.Append(new Line(sp, ep));

            sp = ep;
            ep = plc.PointAtStart;
            plc.Append(new Line(sp, ep));

            return plc;

        }

Hi @wjeongx,

How about this?

protected override Result RunCommand(RhinoDoc doc, RunMode mode)
{
  var view = doc.Views.ActiveView;
  if (null == view)
    return Result.Failure;

  var plane0 = Plane.WorldXY;
  var plane1 = view.ActiveViewport.ConstructionPlane();
  var xform = Transform.PlaneToPlane(plane0, plane1);

  var insert_point  = GetSomeInsertPoint();
  var poly_curve = FlatBar(insert_point);
  poly_curve.Transform(xform);

  // TODO...

– Dale

Thank you very much for your reply.